h1
    background: red
    transition: all 400ms ease
    width: 200px
    margin-top: 0
    &:hover
        animation: slideAround 3s infinite
        cursor: pointer

@keyframes slideAround
    0%
        margin-left: 0
        margin-top: 0
    25%
        margin-left: 200px
        margin-top: 0
    50%
        margin-left: 200px
        margin-top: 200px
    75%
        margin-left: 0
        margin-top: 200px
    100%
        margin-left: 0
        margin-top: 0

.button1
    margin: 100px auto
    background: grey
    width: 400px
    padding: 100px
    text-align: center
    font: 50px sans-serif
    box-sizing: border-box
    cursor: pointer
    &:active
        animation: swing 0.5s

@keyframes swing
    0%
        transform: translateX(50px)
    10%
        transform: translateX(-50px)
    20%
        transform: translateX(40px)
    30%
        transform: translateX(-40px)
    40%
        transform: translateX(30px)
    50%
        transform: translateX(-30px)
    60%
        transform: translateX(20px)
    70%
        transform: translateX(-20px)
    80%
        transform: translateX(10px)
    90%
        transform: translateX(-10px)
    100%
        transform: translateX(0px)

.button2
    margin: 100px auto
    background: grey
    width: 400px
    padding: 100px
    text-align: center
    font: 50px sans-serif
    box-sizing: border-box
    cursor: pointer
    &:active
        animation: swung 0.5s

@keyframes swung
    0%
        transform: rotate(50deg)
    10%
        transform: rotate(-50deg)
    20%
        transform: rotate(40deg)
    30%
        transform: rotate(-40deg)
    40%
        transform: rotate(30deg)
    50%
        transform: rotate(-30deg)
    60%
        transform: rotate(20deg)
    70%
        transform: rotate(-20deg)
    80%
        transform: rotate(10deg)
    90%
        transform: rotate(-10deg)
    100%
        transform: rotate(0deg)

.button3
    margin: 100px auto
    background: grey
    width: 400px
    padding: 100px
    text-align: center
    font: 50px sans-serif
    box-sizing: border-box
    cursor: pointer
    &:active
        animation: swang 0.5s

@keyframes swang
    0%
        transform: rotateX(90deg)
    10%
        transform: rotateX(-90deg)
    20%
        transform: rotateX(70deg)
    30%
        transform: rotateX(-70deg)
    40%
        transform: rotateX(50deg)
    50%
        transform: rotateX(-50deg)
    60%
        transform: rotateX(20deg)
    70%
        transform: rotateX(-20deg)
    80%
        transform: rotateX(10deg)
    90%
        transform: rotateX(-10deg)
    100%
        transform: rotateX(0deg)
